/* Copyright 2016 Integration New Media Inc. */


package com.fadel.aem.ARCProxy;

/**
 * Interface for OSGI config share
 */
public interface ARCConfig {

	/**
	 * Getter for userARC
	 * @return userARC
	 */
	String getUserARC();
	
	/**
	 * Getter for passARC
	 * @return passARC
	 */
	String getPassARC();
	
	/**
	 * Getter for baseURL
	 * @return baseURL
	 */
	String getBaseURL();
	
	/**
	 * Getter for externalID
	 * @return externalID
	 */
	String getExternalID();
	
	/**
	 * Getter for selectionType
	 * @return selectionType
	 */
	String getSelectionType();
	
	/**
	 * Getter for fileNameExtID
	 * @return fileNameExtID
	 */
	Boolean getFileNameExtID();
}
